import type { SemverRange } from './config/types';
/** Single source of truth, intended to aid testing or to override */
export declare const CWD: string;
/** Single source of truth for icons used in output */
export declare const ICON: {
    readonly banned: "⦸";
    readonly cross: "✘";
    readonly debug: "?";
    readonly info: "i";
    readonly panic: "!";
    readonly rightArrow: "→";
    readonly skip: "-";
    readonly tick: "✓";
};
export declare const RANGE: {
    readonly ANY: "*";
    readonly EXACT: "";
    readonly GT: ">";
    readonly GTE: ">=";
    readonly LOOSE: ".x";
    readonly LT: "<";
    readonly LTE: "<=";
    readonly MINOR: "^";
    readonly PATCH: "~";
    readonly WORKSPACE: "workspace:";
};
export declare const FIXABLE_RANGES: SemverRange[];
export declare const INTERNAL_TYPES: readonly ["dev", "local", "overrides", "peer", "pnpmOverrides", "prod", "resolutions"];
export declare const DEFAULT_CONFIG: {
    readonly dependencyTypes: readonly ["**"];
    readonly filter: ".";
    readonly indent: "  ";
    readonly semverGroups: readonly [];
    readonly sortAz: readonly ["contributors", "dependencies", "devDependencies", "keywords", "peerDependencies", "resolutions", "scripts"];
    readonly sortFirst: readonly ["name", "description", "version", "author"];
    readonly source: readonly ["package.json", "packages/*/package.json"];
    readonly versionGroups: readonly [];
};
