"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Instance = void 0;
class Instance {
    constructor(name, rawSpecifier, packageJsonFile, strategy) {
        this.name = name;
        this.pkgName = packageJsonFile.jsonFile.contents.name || 'PACKAGE_JSON_HAS_NO_NAME';
        this.rawSpecifier = rawSpecifier;
        this.packageJsonFile = packageJsonFile;
        this.strategy = strategy;
        this.semverGroup = null;
        this.versionGroup = null;
    }
    /** Mutate the package.json file in memory with the latest version specifier */
    write(rawSpecifier) {
        this.rawSpecifier = rawSpecifier;
        return this.strategy.write(this.packageJsonFile, [this.name, this.rawSpecifier]);
    }
}
exports.Instance = Instance;
