import { Data } from 'effect';
import type { Union } from 'ts-toolbelt';
import type { DisabledSemverGroup } from './disabled';
import type { FilteredOutSemverGroup } from './filtered-out';
import type { IgnoredSemverGroup } from './ignored';
import type { WithRangeSemverGroup } from './with-range';
export declare namespace SemverGroup {
    export type Disabled = DisabledSemverGroup;
    export type FilteredOut = FilteredOutSemverGroup;
    export type Ignored = IgnoredSemverGroup;
    export type WithRange = WithRangeSemverGroup;
    export type Any = Union.Strict<Disabled | FilteredOut | Ignored | WithRange>;
    const ConfigError_base: new <A extends Record<string, any>>(args: import("effect/Types").Equals<Omit<A, keyof import("effect/dist/declarations/src/Equal").Equal>, {}> extends true ? void : Omit<A, keyof import("effect/dist/declarations/src/Equal").Equal>) => Data.Data<A & {
        readonly _tag: "SemverGroupConfigError";
    }>;
    export class ConfigError extends ConfigError_base<{
        readonly config: unknown;
        readonly error: string;
    }> {
    }
    export {};
}
